Important CentOS samba Security Update

Metadata

high
7.9
libsmbclient-4.1.1-37.el7_0.i686.rpm, libsmbclient-4.1.1-37.el7_0.x86_64.rpm, libsmbclient-devel-4.1.1-37.el7_0.i686.rpm, libsmbclient-devel-4.1.1-37.el7_0.x86_64.rpm, libwbclient-4.1.1-37.el7_0.i686.rpm, libwbclient-4.1.1-37.el7_0.x86_64.rpm, libwbclient-devel-4.1.1-37.el7_0.i686.rpm, libwbclient-devel-4.1.1-37.el7_0.x86_64.rpm, samba-4.1.1-37.el7_0.src.rpm, samba-4.1.1-37.el7_0.x86_64.rpm, samba-client-4.1.1-37.el7_0.x86_64.rpm, samba-common-4.1.1-37.el7_0.x86_64.rpm, samba-dc-4.1.1-37.el7_0.x86_64.rpm, samba-dc-libs-4.1.1-37.el7_0.x86_64.rpm, samba-devel-4.1.1-37.el7_0.i686.rpm, samba-devel-4.1.1-37.el7_0.x86_64.rpm, samba-libs-4.1.1-37.el7_0.i686.rpm, samba-libs-4.1.1-37.el7_0.x86_64.rpm, samba-pidl-4.1.1-37.el7_0.x86_64.rpm, samba-python-4.1.1-37.el7_0.x86_64.rpm, samba-test-4.1.1-37.el7_0.x86_64.rpm, samba-test-devel-4.1.1-37.el7_0.x86_64.rpm, samba-vfs-glusterfs-4.1.1-37.el7_0.x86_64.rpm, samba-winbind-4.1.1-37.el7_0.x86_64.rpm, samba-winbind-clients-4.1.1-37.el7_0.x86_64.rpm, samba-winbind-krb5-locator-4.1.1-37.el7_0.x86_64.rpm, samba-winbind-modules-4.1.1-37.el7_0.i686.rpm, samba-winbind-modules-4.1.1-37.el7_0.x86_64.rpm
CVE-2014-3560
rhn.redhat.com, lists.centos.org
2014-08-05
2017-07-27 19:07
Important CentOS samba4 Update
CVE-2014-3560 samba
CVE-2014-3560
2017-04-01 19:08
2017-01-05 20:12

Description


Updated samba packages that fix one security issue and one bug are now
available for Red Hat Enterprise Linux 7.

The Red Hat Security Response Team has rated this update as having
Important security impact. A Common Vulnerability Scoring System (CVSS)
base score, which gives a detailed severity rating, is available from the
CVE link in the References section.

Samba is an open-source implementation of the Server Message Block (SMB) or
Common Internet File System (CIFS) protocol, which allows PC-compatible
machines to share files, printers, and other information.

A heap-based buffer overflow flaw was found in Samba's NetBIOS message
block daemon (nmbd). An attacker on the local network could use this flaw
to send specially crafted packets that, when processed by nmbd, could
possibly lead to arbitrary code execution with root privileges.
(CVE-2014-3560)

This update also fixes the following bug:

* Prior to this update, Samba incorrectly used the O_TRUNC flag when using
the open(2) system call to access the contents of a file that was already
opened by a different process, causing the file's previous contents to be
removed. With this update, the O_TRUNC flag is no longer used in the above
scenario, and file corruption no longer occurs. (BZ#1115490)

All Samba users are advised to upgrade to these updated packages, which
contain backported patches to correct these issues. After installing this
update, the smb service will be restarted automatically.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
7 libsmbclient libsmbclient-4.1.1-37.el7_0.i686.rpm
libsmbclient libsmbclient-4.1.1-37.el7_0.x86_64.rpm
libsmbclient-devel libsmbclient-devel-4.1.1-37.el7_0.i686.rpm
libsmbclient-devel libsmbclient-devel-4.1.1-37.el7_0.x86_64.rpm
libwbclient libwbclient-4.1.1-37.el7_0.i686.rpm
libwbclient libwbclient-4.1.1-37.el7_0.x86_64.rpm
libwbclient-devel libwbclient-devel-4.1.1-37.el7_0.i686.rpm
libwbclient-devel libwbclient-devel-4.1.1-37.el7_0.x86_64.rpm
samba samba-4.1.1-37.el7_0.src.rpm
samba samba-4.1.1-37.el7_0.x86_64.rpm
samba-client samba-client-4.1.1-37.el7_0.x86_64.rpm
samba-common samba-common-4.1.1-37.el7_0.x86_64.rpm
samba-dc samba-dc-4.1.1-37.el7_0.x86_64.rpm
samba-dc-libs samba-dc-libs-4.1.1-37.el7_0.x86_64.rpm
samba-devel samba-devel-4.1.1-37.el7_0.i686.rpm
samba-devel samba-devel-4.1.1-37.el7_0.x86_64.rpm
samba-libs samba-libs-4.1.1-37.el7_0.i686.rpm
samba-libs samba-libs-4.1.1-37.el7_0.x86_64.rpm
samba-pidl samba-pidl-4.1.1-37.el7_0.x86_64.rpm
samba-python samba-python-4.1.1-37.el7_0.x86_64.rpm
samba-test samba-test-4.1.1-37.el7_0.x86_64.rpm
samba-test-devel samba-test-devel-4.1.1-37.el7_0.x86_64.rpm
samba-vfs-glusterfs samba-vfs-glusterfs-4.1.1-37.el7_0.x86_64.rpm
samba-winbind samba-winbind-4.1.1-37.el7_0.x86_64.rpm
samba-winbind-clients samba-winbind-clients-4.1.1-37.el7_0.x86_64.rpm
samba-winbind-krb5-locator samba-winbind-krb5-locator-4.1.1-37.el7_0.x86_64.rpm
samba-winbind-modules samba-winbind-modules-4.1.1-37.el7_0.i686.rpm
samba-winbind-modules samba-winbind-modules-4.1.1-37.el7_0.x86_64.rpm